Bug 198323 - security/cyrus-sasl2: make local DB-errors more descriptive
Summary: security/cyrus-sasl2: make local DB-errors more descriptive
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-05 19:20 UTC by Mikhail Teterin
Modified: 2018-01-13 06:02 UTC (History)
1 user (show)

See Also:


Attachments
Make sure, path and error-desription are communicated to user upon NDBM failure (1.04 KB, patch)
2015-03-05 19:20 UTC, Mikhail Teterin
mi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2015-03-05 19:20:32 UTC
Created attachment 153852 [details]
Make sure, path and error-desription are communicated to user upon NDBM failure

The below patch (to be submitted upstream shortly) makes it slightly easier to debug SASL's issues with local (ndbm) tables.

It can be dropped into files/ subdirectory.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-10 09:51:29 UTC
Maintainer feedback?
Comment 2 commit-hook freebsd_committer 2018-01-13 05:57:37 UTC
A commit references this bug:

Author: ume
Date: Sat Jan 13 05:57:26 UTC 2018
New revision: 458890
URL: https://svnweb.freebsd.org/changeset/ports/458890

Log:
  Make local DB-errors more descriptive.
  This patch will be included into comming 2.1.27.

  PR:		198323
  Submitted by:	Mikhail Teterin

Changes:
  head/security/cyrus-sasl2/Makefile
  head/security/cyrus-sasl2/files/patch-sasldb_db__ndbm.c
Comment 3 Hajimu UMEMOTO freebsd_committer 2018-01-13 06:02:17 UTC
I've committed it.
Thank you for your contribution.